Name:		ql2700-firmware
Summary: 	Firmware for qlogic 2700 devices
Version:	8.01.02
Release:	1.0.1%{?dist}
License:	Redistributable, no modification permitted
Group:		System Environment/Kernel
Source0:	ftp://ftp.qlogic.com/outgoing/linux/firmware/ql2700_fw.bin
Source1:	ftp://ftp.qlogic.com/outgoing/linux/firmware/LICENSE
URL:		ftp://ftp.qlogic.com/outgoing/linux/firmware/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
Firmware for QLogic 2700 devices.

%prep
%setup -n %{name} -c -T
cp %{SOURCE0} .
cp %{SOURCE1} .

%build
# Firmware, do nothing.

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware/
install -m0644 ql2700_fw.bin %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE
/lib/firmware/ql2700_fw.bin

%changelog

* Thu Jul 23 2015 Dan Duval <dan.duval@oracle.com> - 8.01.02-1.0.1
- Correct firmware version to match QLogic

* Sun Jul 19 2015 Dan Duval <dan.duval@oracle.com> - 8.07.00-18.39.0K
- initial submission, version 8.07.00-18.39.0K [orabug 21417522]
